com.io7m.jtensors.core.dotproducts

## Class DotProductsLong

- java.lang.Object
- - com.io7m.jtensors.core.dotproducts.DotProductsLong

-     public final class DotProductsLong
      extends Object

  Functions for calculating dot products.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `dotProduct2(long x0, long y0, long x1, long y1)` Calculate the dot product of `(x0, y0)` and `(x1, y1)`.
    `static long` | `dotProduct3(long x0, long y0, long z0, long x1, long y1, long z1)` Calculate the dot product of `(x0, y0, z0)` and `(x1, y1, z1)`.
    `static long` | `dotProduct4(long x0, long y0, long z0, long w0, long x1, long y1, long z1, long w1)` Calculate the dot product of `(x0, y0, z0, w0)` and `(x1, y1, z1, w1)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### dotProduct4

          public static long dotProduct4(long x0,
                                         long y0,
                                         long z0,
                                         long w0,
                                         long x1,
                                         long y1,
                                         long z1,
                                         long w1)

      Calculate the dot product of `(x0, y0, z0, w0)` and `(x1, y1, z1, w1)`.
      Parameters:
        `x0` - The X component of the first vector
        `y0` - The Y component of the first vector
        `z0` - The Z component of the first vector
        `w0` - The W component of the first vector
        `x1` - The X component of the second vector
        `y1` - The Y component of the second vector
        `z1` - The Z component of the second vector
        `w1` - The W component of the second vector
      Returns:
        The dot product

    - #### dotProduct3

          public static long dotProduct3(long x0,
                                         long y0,
                                         long z0,
                                         long x1,
                                         long y1,
                                         long z1)

      Calculate the dot product of `(x0, y0, z0)` and `(x1, y1, z1)`.
      Parameters:
        `x0` - The X component of the first vector
        `y0` - The Y component of the first vector
        `z0` - The Z component of the first vector
        `x1` - The X component of the second vector
        `y1` - The Y component of the second vector
        `z1` - The Z component of the second vector
      Returns:
        The dot product

    - #### dotProduct2

          public static long dotProduct2(long x0,
                                         long y0,
                                         long x1,
                                         long y1)

      Calculate the dot product of `(x0, y0)` and `(x1, y1)`.
      Parameters:
        `x0` - The X component of the first vector
        `y0` - The Y component of the first vector
        `x1` - The X component of the second vector
        `y1` - The Y component of the second vector
      Returns:
        The dot product

Copyright © 2017 <code@io7m.com> http://io7m.com